Get a block
curl --request GET \
--url https://versuno.ai/api/public/assets/{assetId}/blocks/{blockId} \
--header 'Authorization: <api-key>'import requests
url = "https://versuno.ai/api/public/assets/{assetId}/blocks/{blockId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://versuno.ai/api/public/assets/{assetId}/blocks/{blockId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://versuno.ai/api/public/assets/{assetId}/blocks/{blockId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://versuno.ai/api/public/assets/{assetId}/blocks/{blockId}")
.header("Authorization", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://versuno.ai/api/public/assets/{assetId}/blocks/{blockId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"block": {
"id": "b_35effee2-0c97-463b-9a0a-8973eca1b4da",
"type": "paragraph",
"meta": {},
"content": "This block was updated",
"inline": [
{}
],
"children": "<array>"
}
}{
"error": "Wrong data: assetType is required"
}{
"error": "Invalid API key"
}{
"error": "Forbidden"
}{
"error": "Not found"
}Blocks
Get a block
Returns a single block by ID from the target asset.
GET
/
assets
/
{assetId}
/
blocks
/
{blockId}
Get a block
Authorizations
Versuno API key. Must be prefixed with Bearer. Format: Bearer uk_live_...
Query Parameters
Optional type guard. If supplied, it must match the asset's actual type.
Available options:
prompt, persona, context, system_prompt, skill Response
Block found.
A single editor block in an asset's structured content tree.
Hide child attributes
Hide child attributes
Stable block identifier.
Example:
"b_35effee2-0c97-463b-9a0a-8973eca1b4da"
Available options:
paragraph, heading, code, divider, bullet_list, ordered_list, todo_list, toggle, quote, callout, table, block_snippet, block_ref, asset_ref Example:
"paragraph"
Block metadata for type-specific attributes.
Example:
{}Optional block textual content.
Example:
"This block was updated"
Optional inline span model.
Was this page helpful?
⌘I

